play.server

## Class PlayHandler

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelUpstreamHandler
  - - play.server.PlayHandler

- All Implemented Interfaces:
    org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler
  Direct Known Subclasses:
    SslPlayHandler

      public class PlayHandler
      extends org.jboss.netty.channel.SimpleChannelUpstreamHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `PlayHandler.NettyInvocation`
    `static class` | `PlayHandler.WebSocketInvocation`

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `org.jboss.netty.channel.ChannelHandler.Sharable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<java.lang.String,org.jboss.netty.channel.ChannelHandler>` | `pipelines` The Pipeline is given for a PlayHandler

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `addToResponse(Http.Response response, org.jboss.netty.handler.codec.http.HttpResponse nettyResponse)`
    `void` | `channelDisconnected(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ChannelStateEvent e)`
    `void` | `closeChunked(Http.Request playRequest, Http.Response playResponse, org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)`
    `void` | `copyResponse(org.jboss.netty.channel.ChannelHandlerContext ctx, Http.Request request, Http.Response response, org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)`
    `void` | `exceptionCaught(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ExceptionEvent e)`
    `protected static java.util.Map<java.lang.String,java.lang.Object>` | `getBindingForErrors(java.lang.Exception e, boolean isError)`
    `protected static java.util.Map<java.lang.String,Http.Cookie>` | `getCookies(org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)`
    `protected static java.util.Map<java.lang.String,Http.Header>` | `getHeaders(org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)`
    `static boolean` | `isKeepAlive(org.jboss.netty.handler.codec.http.HttpMessage message)`
    `static boolean` | `isModified(java.lang.String etag, long last, org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)`
    `void` | `messageReceived(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.MessageEvent messageEvent)`
    `Http.Request` | `parseRequest(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.handler.codec.http.HttpRequest nettyRequest, org.jboss.netty.channel.MessageEvent messageEvent)`
    `static void` | `serve404(NotFound e, org.jboss.netty.channel.ChannelHandlerContext ctx, Http.Request request, org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)`
    `static void` | `serve500(java.lang.Exception e, org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)`
    `void` | `serveStatic(RenderStatic renderStatic, org.jboss.netty.channel.ChannelHandlerContext ctx, Http.Request request, Http.Response response, org.jboss.netty.handler.codec.http.HttpRequest nettyRequest, org.jboss.netty.channel.MessageEvent e)`
    `static void` | `setContentLength(org.jboss.netty.handler.codec.http.HttpMessage message, long contentLength)`
    `void` | `writeChunk(Http.Request playRequest, Http.Response playResponse, org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.handler.codec.http.HttpRequest nettyRequest, java.lang.Object chunk)`
    `protected static void` | `writeResponse(org.jboss.netty.channel.ChannelHandlerContext ctx, Http.Response response, org.jboss.netty.handler.codec.http.HttpResponse nettyResponse, org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)`

    - ### Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler

      `channelBound, channelClosed, channelConnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pipelines

          public java.util.Map<java.lang.String,org.jboss.netty.channel.ChannelHandler> pipelines

      The Pipeline is given for a PlayHandler

  - ### Constructor Detail

    - #### PlayHandler

          public PlayHandler()

  - ### Method Detail

    - #### messageReceived

          public void messageReceived(org.jboss.netty.channel.ChannelHandlerContext ctx,
                                      org.jboss.netty.channel.MessageEvent messageEvent)
                               throws java.lang.Exception

      Overrides:
        `messageReceived` in class `org.jboss.netty.channel.SimpleChannelUpstreamHandler`
      Throws:
        `java.lang.Exception`

    - #### addToResponse

          protected static void addToResponse(Http.Response response,
                                              org.jboss.netty.handler.codec.http.HttpResponse nettyResponse)

    - #### writeResponse

          protected static void writeResponse(org.jboss.netty.channel.ChannelHandlerContext ctx,
                                              Http.Response response,
                                              org.jboss.netty.handler.codec.http.HttpResponse nettyResponse,
                                              org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)

    - #### copyResponse

          public void copyResponse(org.jboss.netty.channel.ChannelHandlerContext ctx,
                                   Http.Request request,
                                   Http.Response response,
                                   org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### parseRequest

          public Http.Request parseRequest(org.jboss.netty.channel.ChannelHandlerContext ctx,
                                           org.jboss.netty.handler.codec.http.HttpRequest nettyRequest,
                                           org.jboss.netty.channel.MessageEvent messageEvent)
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getHeaders

          protected static java.util.Map<java.lang.String,Http.Header> getHeaders(org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)

    - #### getCookies

          protected static java.util.Map<java.lang.String,Http.Cookie> getCookies(org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)

    - #### exceptionCaught

          public void exceptionCaught(org.jboss.netty.channel.ChannelHandlerContext ctx,
                                      org.jboss.netty.channel.ExceptionEvent e)
                               throws java.lang.Exception

      Overrides:
        `exceptionCaught` in class `org.jboss.netty.channel.SimpleChannelUpstreamHandler`
      Throws:
        `java.lang.Exception`

    - #### serve404

          public static void serve404(NotFound e,
                                      org.jboss.netty.channel.ChannelHandlerContext ctx,
                                      Http.Request request,
                                      org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)

    - #### getBindingForErrors

          protected static java.util.Map<java.lang.String,java.lang.Object> getBindingForErrors(java.lang.Exception e,
                                                                                                boolean isError)

    - #### serve500

          public static void serve500(java.lang.Exception e,
                                      org.jboss.netty.channel.ChannelHandlerContext ctx,
                                      org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)

    - #### serveStatic

          public void serveStatic(RenderStatic renderStatic,
                                  org.jboss.netty.channel.ChannelHandlerContext ctx,
                                  Http.Request request,
                                  Http.Response response,
                                  org.jboss.netty.handler.codec.http.HttpRequest nettyRequest,
                                  org.jboss.netty.channel.MessageEvent e)

    - #### isModified

          public static boolean isModified(java.lang.String etag,
                                           long last,
                                           org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)

    - #### isKeepAlive

          public static boolean isKeepAlive(org.jboss.netty.handler.codec.http.HttpMessage message)

    - #### setContentLength

          public static void setContentLength(org.jboss.netty.handler.codec.http.HttpMessage message,
                                              long contentLength)

    - #### writeChunk

          public void writeChunk(Http.Request playRequest,
                                 Http.Response playResponse,
                                 org.jboss.netty.channel.ChannelHandlerContext ctx,
                                 org.jboss.netty.handler.codec.http.HttpRequest nettyRequest,
                                 java.lang.Object chunk)

    - #### closeChunked

          public void closeChunked(Http.Request playRequest,
                                   Http.Response playResponse,
                                   org.jboss.netty.channel.ChannelHandlerContext ctx,
                                   org.jboss.netty.handler.codec.http.HttpRequest nettyRequest)

    - #### channelDisconnected

          public void channelDisconnected(org.jboss.netty.channel.ChannelHandlerContext ctx,
                                          org.jboss.netty.channel.ChannelStateEvent e)
                                   throws java.lang.Exception

      Overrides:
        `channelDisconnected` in class `org.jboss.netty.channel.SimpleChannelUpstreamHandler`
      Throws:
        `java.lang.Exception`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly